/// <reference types="bun-types" />
import { Bits } from '../types';
/**
 * Modifies the buffer's bits to equal newBits starting at bitOffset.
 *
 * @example
 * modifyBuffer(buffer, [0,0,1,0], 0) => buffer was modified
 *
 * @param {Buffer} buffer the buffer to modify
 * @param {Array} bits the bits to insert
 * @param {Number} offset where to start (in bits)
 * @returns {undefined}
 */
declare const _default: (buffer: Buffer, bits: Bits, offset?: number) => void;
export default _default;
