/// <reference types="bun-types" />
import { Bits } from '../types';
/**
 * Returns an Array containing bitLength bits starting at bitOffset.
 *
 * @example
 * readBuffer(buffer, 2, 4) => [0,0,1,0]
 *
 * @param {Buffer} buffer the buffer to read
 * @param {Number} offset where to start (in bits)
 * @param {Number} length how many bits to read
 * @returns {Array}
 */
declare const _default: (buffer: Buffer, offset?: number, length?: number) => Bits;
export default _default;
